# Learn more about services, parameters and containers at
# http://symfony.com/doc/current/book/service_container.html
parameters:
    exclude_ttd_campaigns: "xav9ns9;27txqkx;ia4oxpt;gfgs6bm;rzz5pv1;ti3ya8o;hx7rt7b;9lniowf;iehnw45;6njgado;npaeznd;7d955f5;1dgnnfq;84h3a7d;krsl3go;nkyt6yn;s1331eu;yrz1yh9;0n1z7eq;4xfaswu;iv23ikr;jqatbww;llqfgfu;96vk9a5;990oqtb;1hdanj8"
    exclude_fb_campaigns: "23842559565120634;23842508727850237;23842512840970237;23842554687150576;23842554695220576;23842554723530576;23842578588020576;23842578591410576;23842578594420576;23842733212080127;23842571706170309;23842529419910309;23843001781680080"
    exclude_ppc_campaigns: "1;9;23;32;33;48;101"
    self_import_conso_agregators: [1, 4]
    self_exclude_agregators: [1, 7, 16]
    sendgrid_apikey: "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"

services:
    _defaults:
        autowire: true
        autoconfigure: true
        public: false

    App\:
        resource: '../src/*'
        exclude: '../src/{DependencyInjection,Entity,Tests,Kernel.php}'

    _instanceof:
        GoldenBees\DashboardBundle\Services\EntityListener:
            tags:
                - { name: doctrine.event_listener, event: postUpdate }
                - { name: doctrine.event_listener, event: postPersist }
                - { name: doctrine.event_listener, event: postRemove }
        GoldenBees\DashboardBundle\Validator\Constraints\PpcCampaignValidator:
            tags:
                - { name: validator.constraint_validator, alias: ppc_campaign_validator }

    UserBundle\Controller\SecurityController:
        public: true
        bind:
            $authenticationUtils: '@security.authentication_utils'
            $encoderFactory: '@security.encoder_factory'
            $validator: '@validator'

#   To remove after self merge
    goldenbees_dashboard_bundle.services.log_entity:
      public: true
      class: GoldenBees\DashboardBundle\Services\LogEntity
      arguments:
        - "@security.token_storage"

    goldenbees_dashboard_bundle.services.entity_listener:
      public: true
      class: GoldenBees\DashboardBundle\Services\EntityListener
      arguments:
        - "@goldenbees_dashboard_bundle.services.log_entity"
      tags:
        - { name: doctrine.event_listener, event: postUpdate }
        - { name: doctrine.event_listener, event: postPersist }
        - { name: doctrine.event_listener, event: postRemove }

    goldenbees_dashboard_bundle.services.global_parameter_service:
      public: true
      class: GoldenBees\DashboardBundle\Services\GlobalParameterService
      arguments: [ "@doctrine.orm.entity_manager" ]
